Package org.drinkless.tdlib

# Class TdApi.ShareChatWithBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ShareChatWithBot

Enclosing class:
  TdApi

public static class TdApi.ShareChatWithBot extends TdApi.Function<TdApi.Ok>
Shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `buttonId`
  Identifier of the button.
  `long`
  `chatId`
  Identifier of the chat with the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  Identifier of the message with the button.
  `boolean`
  `onlyCheck`
  Pass true to check that the chat can be shared by the button instead of actually sharing it.
  `long`
  `sharedChatId`
  Identifier of the shared chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShareChatWithBot()`
  Default constructor for a function, which shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.
  `ShareChatWithBot(long chatId, long messageId, int buttonId, long sharedChatId, boolean onlyCheck)`
  Creates a function, which shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat with the bot.

  - ### messageId

    public long messageId
    Identifier of the message with the button.

  - ### buttonId

    public int buttonId
    Identifier of the button.

  - ### sharedChatId

    public long sharedChatId
    Identifier of the shared chat.

  - ### onlyCheck

    public boolean onlyCheck
    Pass true to check that the chat can be shared by the button instead of actually sharing it. Doesn't check botIsMember and botAdministratorRights restrictions. If the bot must be a member, then all chats from getGroupsInCommon and all chats, where the user can add the bot, are suitable. In the latter case the bot will be automatically added to the chat. If the bot must be an administrator, then all chats, where the bot already has requested rights or can be added to administrators by the user, are suitable. In the latter case the bot will be automatically granted requested rights.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ShareChatWithBot

    public ShareChatWithBot()
    Default constructor for a function, which shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

    Returns `Ok`

  - ### ShareChatWithBot

    public ShareChatWithBot(long chatId, long messageId, int buttonId, long sharedChatId, boolean onlyCheck)
    Creates a function, which shares a chat after pressing a keyboardButtonTypeRequestChat button with the bot.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat with the bot.
      `messageId` - Identifier of the message with the button.
      `buttonId` - Identifier of the button.
      `sharedChatId` - Identifier of the shared chat.
      `onlyCheck` - Pass true to check that the chat can be shared by the button instead of actually sharing it. Doesn't check botIsMember and botAdministratorRights restrictions. If the bot must be a member, then all chats from getGroupsInCommon and all chats, where the user can add the bot, are suitable. In the latter case the bot will be automatically added to the chat. If the bot must be an administrator, then all chats, where the bot already has requested rights or can be added to administrators by the user, are suitable. In the latter case the bot will be automatically granted requested rights.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR